Delete batch call
curl --request DELETE \
--url https://api.zudu.ai/batch-call/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-API-SECRET: <api-key>'import requests
url = "https://api.zudu.ai/batch-call/{id}"
headers = {
"X-API-KEY": "<api-key>",
"X-API-SECRET": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-KEY': '<api-key>', 'X-API-SECRET': '<api-key>'}
};
fetch('https://api.zudu.ai/batch-call/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Batch call deleted successfully",
"status": "success",
"error": null,
"data": {
"batch_call_id": "batch_call_a1b2c3d4e5f6789012345678901234567",
"deleted": true
}
}{
"message": "Access denied",
"status": "error",
"error": "Batch call does not belong to your organization",
"data": null
}{
"message": "Batch call not found",
"status": "error",
"error": "Batch call with ID batch_call_xxx does not exist",
"data": null
}Batch Calls
Delete batch call
Deletes a batch call.
DELETE
/
batch-call
/
{id}
Delete batch call
Notes
- Deletes the batch call and its associated tasks.
Authorizations
API Key for MCP server and external service authentication
API Secret for MCP server and external service authentication
Path Parameters
Batch call ID to delete
Example:
"batch_call_a1b2c3d4e5f6789012345678901234567"
⌘I